import { View } from "@tarojs/components"
import { useEffect, useState } from "react"
import Taro, { useDidShow } from "@tarojs/taro"
import { TreeSelect, Button } from "@antmjs/vantui";
import { getDepartmenList } from "../../services/user";
import { useModel } from "../../store";
import './style.less'

export default (props) => {
  const [departItem, setDepartItem] = useState([]);
  const [mainActiveIndex, setMainActiveIndex] = useState();
  const [activeId, setActiveId] = useState();
  const { deptName, setDeptName, sessionKey } = useModel('userData')



  useEffect(() => {
    getDepartmenList().then((res) => {

      // res.reduce((acc, item) => {
      //   const parent = res.filter(x => x.id === item.parentId)[0]
      //   if (parent) {
      //     parent.children = (parent.children || []).concat(item)
      //     return acc;
      //   } else {
      //     return acc.concat(item);
      //   }
      // }, [])

      // const idMapping = res.reduce((acc, el, i) => {
      //   acc[el.id] = i;
      //   return acc;
      // }, []);
      // console.log('idMapping', idMapping);


      function array2tree () {
        const newList = []
        for (let i = 0; i < res.length; i++) {

          res[i].text = res[i].name
          const list = res.filter((item) =>
            item.id == res[i].parentId
          )
          if (list.length > 0) {
            const parent = list[0];
            parent.children = (parent.children || []).concat(res[i])

          } else {
            newList.push(res[i])
          }
        }
        setDepartItem(newList)
        return newList
      }
      console.log("🚀 ~ file: index.jsx ~ line 43 ~ getDepartmenList ~  array2tree()", array2tree())
    })



  }, [])

  const goBack = () => {
    if (deptName) {
      Taro.navigateBack({
        delta: 1
      })
    } else {
      Taro.showToast({
        title: '请选择科室!',
        icon: 'none',
        duration: 2000
      })
    }

  }




  const onClickNav = ({ detail }) => {
    setMainActiveIndex(detail.index || 0,)

    if (departItem[detail.index]?.children) {

    } else {
      setDeptName(departItem[detail.index])

    }

  }
  const onClickItem = ({ detail }) => {
    const activeIdaa = activeId === detail.id ? null : detail.id
    setActiveId(activeIdaa)
    setDeptName(detail)

  }





  return (
    <View className='page-index'>
      <TreeSelect
        height='80vh'
        items={departItem}
        mainActiveIndex={mainActiveIndex}
        activeId={activeId}
        onClickNav={onClickNav}
        onClickItem={onClickItem}
      />
      <View className='buttom-box'>
        <Button
          type='info'
          size='normal'
          formType='submit'
          className='buttom-box-buttonSubmit'
          onClick={goBack}
        >
          确定
        </Button>
      </View>
    </View>
  )
}
