import { View, Text, Image } from '@tarojs/components'
import { useEffect, useMemo, useRef, useState } from 'react'
import dayjs from 'dayjs'
import { Button, Icon } from "@antmjs/vantui";
import Taro from '@tarojs/taro';
import BarCode from '@/components/barcode'
import logo from '@/assets/water_logo.png'
import { useModel } from '../../store';

import './style.less'

export default (props) => {
  const { person, } = useModel('userData')
  const today = useMemo(() => dayjs().format('YYYY-MM-DD'))
  const goUserInfo = () => {
    Taro.redirectTo({
      url: '/pages/setUserInfo/index'
    })
  }


  return (
    <View className='index-UserQRcode'>
      {/* <Text>Hello world!</Text> */}
      {/* <View className='index-UserQRcode-headerInfo' style={{ backgroundImage: `url(${userBck})` }}> */}
      <View className='index-UserQRcode-headerInfo' >
        <View className='index-UserQRcode-headerInfo-User'>
          <Image src={logo} />
          <View className='index-UserQRcode-headerInfo-User-NameInfo'>姓名：{person?.personName}</View>
          <View onClick={goUserInfo} className='index-UserQRcode-headerInfo-User-setNameInfo'><Icon name='edit' />修改信息</View>
        </View>
        <View className='index-UserQRcode-headerInfo-UserID'>科室：{person?.deptName}</View>
      </View>
      <View className='index-UserQRcode-cententQR'>
        <View className='index-UserQRcode-cententQR-Barcode'>
          <BarCode ratio={0.7} height={80} code='322050442037' />
        </View>
        <View className='index-UserQRcode-cententQR-Barcode'>
          <BarCode ratio={0.7} height={80} code='32032219901021050X' codeVisible />
        </View>
      </View>
      <View className='index-UserQRcode-footer'>
        {today}
      </View>
    </View>
  )
}




